Mailinglist Archive: opensuse-factory (508 mails)

< Previous Next >
Re: [opensuse-factory] "zypper dup" from 11.2 to 11.4?
  • From: Stephan Kleine <bitdealer@xxxxxxxxx>
  • Date: Fri, 10 Dec 2010 02:17:47 +0100
  • Message-id: <201012100217.48165.bitdealer@xxxxxxxxx>
On Friday December 10 2010 02:12:20 Carlos E. R. wrote:
On Thursday, 2010-12-09 at 15:29 +0100, Karl Eichwalder wrote:
jdd <> writes:
upgrade is always at risk.

Yes, but if a "supported" (= tested) upgrade path fails, it is a bug
that we want to fix.

Not every supported thing is fully tested, with all possible
configurations and combinations of installed software. It is not possible.
What we, as users, expect, is that if we report a failure something is
done to repair it, whereas a non supported thing is "wontfixed" directly.

It is typical that a version does not work on some machines, and upgrade
is not possible to the next version. The problem is reported, and
hopefully, it is solved in the following version. The user will expect
then to be able to jump to that version when it comes.

But no, now we are told "no". Cold shower.

The official policy always was that an upgrade from version x to version x+1
is supported but anything from x to x+<1 is not but it will normally work if
you know what you are doing (someone correct me if I'm wrong on that).

So please stop making up things or making a fuzz about nothing.

thanks,
Stephan
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-factory+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups